package com.javainuse;

import org.apache.log4j.BasicConfigurator;
import org.apache.log4j.Logger;
import org.perf4j.StopWatch;
import org.perf4j.log4j.Log4JStopWatch;

public class Per4jTest {

    private static final Logger logger = Logger.getLogger(Per4jTest.class);

    private void funtion1() {
        StopWatch stopWatch = new Log4JStopWatch("funtion1");
        try {
            Thread.sleep((long) (Math.random() * 1000L));
        }
        catch (InterruptedException e) {
            e.printStackTrace();
        }
        logger.info("funtion1");
        stopWatch.stop();

    }

    private void funtion2() {
        StopWatch stopWatch = new Log4JStopWatch("funtion2");
        try {
            Thread.sleep((long) (Math.random() * 1000L));
        }
        catch (InterruptedException e) {
            e.printStackTrace();
        }
        logger.info("funtion2");
        stopWatch.stop();

    }

    public static void main(String args[]) {
        BasicConfigurator.configure();
        logger.info("Hello World Perf4j");
        Per4jTest demo = new Per4jTest();
        demo.funtion1();
        demo.funtion2();

    }
}